:root {
    --text-color: #242527;
    --text-color-alt: #c3bc9e;
    --background-color: #ecedee;
    --background-color-alt: #07040b;
    --border-color: #14181d;
    --color-highlight: #e40712;
    --color-highlight-muted: #a70000;
    font-family: Roboto, Helvetica, sans-serif;
}

*, *::before, *::after {
    box-sizing: border-box;
}

body, html {
    margin: 0;
    background-color: var(--border-color);
    color: var(--text-color);
}

body {
    margin: 0 auto;
    max-width: 80ch;
    background-color: var(--background-color);
}

header {
    background-color: var(--background-color-alt);
}

nav {
    background-color: var(--color-highlight-muted);
}

nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 0.4rem;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    padding: 0.4rem 1rem;
}

nav a {
    text-decoration: none;
    color: var(--background-color);
    font-weight: bold;
    font-size: 1.2rem;
    padding: 0.4rem 0.4rem;
    white-space: nowrap;
}

nav a:hover {
    background-color: var(--color-highlight);
    color: var(--background-color);
}

nav a:visited {
    color: var(--background-color);
}

main {
    margin: 0 1rem;
}

main p:last-of-type {
    margin-bottom: 0;
    padding-bottom: 1rem;
}

img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
    display: block;
}

a {
    color: var(--color-highlight);
}

a:visited {
    color: var(--color-highlight-muted);
}

#title {
    font-size: 2.4rem;
    font-weight: bolder;
    color: var(--background-color);
    margin-top: 0.8rem;
}

#title a {
    text-decoration: none;
    color: inherit;
}

#title, #subtitle {
    text-align: center;
    padding-left: 1em;
    padding-right: 1em;
}

#subtitle {
    color: var(--text-color-alt);
    font-weight: bold;
    padding-top: 1.4rem;
}

.summary {
    font-style: italic;
    color: var(--color-highlight-muted);
}